> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paraform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search roles for an agency member

> Use to find roles agency member could start on, across marketplace. Already approved roles: listAgencyRoles. One role's brief: getAgencyRole with row id. Appearing here grants no slot or submit permission. Filter keys only, never display names; unknown values silently ignored. Pages live: can be short or empty; continue while nextCursor present.

Required scopes: `agency_roles:read`.



## OpenAPI

````yaml /api/openapi.json get /agency/roles/search
openapi: 3.0.0
info:
  title: Paraform API
  version: v1
servers:
  - url: https://external-api.paraform.com/api/external/v1
security: []
paths:
  /agency/roles/search:
    get:
      summary: Search roles for an agency member
      description: >-
        Use to find roles agency member could start on, across marketplace.
        Already approved roles: listAgencyRoles. One role's brief: getAgencyRole
        with row id. Appearing here grants no slot or submit permission. Filter
        keys only, never display names; unknown values silently ignored. Pages
        live: can be short or empty; continue while nextCursor present.


        Required scopes: `agency_roles:read`.
      operationId: searchAgencyRoles
      parameters:
        - schema:
            type: string
            maxLength: 254
            format: email
            description: >-
              Email of currently approved member of your agency, e.g.
              jane@agency.com. Results use that member's permissions; does not
              authenticate key holder. Unknown, other-agency, or unapproved
              member answers 403.
          required: true
          description: >-
            Email of currently approved member of your agency, e.g.
            jane@agency.com. Results use that member's permissions; does not
            authenticate key holder. Unknown, other-agency, or unapproved member
            answers 403.
          name: recruiterEmail
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 200
            description: >-
              Typo-tolerant text search over roles and companies, e.g. senior
              backend. 1-200 characters. Omit to browse without text filter.
          required: false
          description: >-
            Typo-tolerant text search over roles and companies, e.g. senior
            backend. 1-200 characters. Omit to browse without text filter.
          name: query
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - new_york
                  - san_francisco
                  - south_bay_area
                  - los_angeles
                  - boston
                  - seattle
                  - texas
                  - chicago
                  - europe
                  - latam
                  - korea
                  - canada
                  - australia
                  - india
                  - uk
                  - washington_dc
                  - asia
                  - denver
                  - florida
                  - minnesota
                  - sacramento
              - type: array
                items:
                  type: string
                  enum:
                    - new_york
                    - san_francisco
                    - south_bay_area
                    - los_angeles
                    - boston
                    - seattle
                    - texas
                    - chicago
                    - europe
                    - latam
                    - korea
                    - canada
                    - australia
                    - india
                    - uk
                    - washington_dc
                    - asia
                    - denver
                    - florida
                    - minnesota
                    - sacramento
                maxItems: 20
              - nullable: true
            description: >-
              Location key, e.g. san_francisco, not display name. Repeat up to
              20; matches any.
          required: false
          description: >-
            Location key, e.g. san_francisco, not display name. Repeat up to 20;
            matches any.
          name: location
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - REMOTE
                  - ON_SITE
                  - HYBRID
              - type: array
                items:
                  type: string
                  enum:
                    - REMOTE
                    - ON_SITE
                    - HYBRID
                maxItems: 20
              - nullable: true
            description: Workplace key, e.g. REMOTE. Repeat up to 20; matches any.
          required: false
          description: Workplace key, e.g. REMOTE. Repeat up to 20; matches any.
          name: workplace
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - backend_engineer
                  - frontend_engineer
                  - full_stack_engineer
                  - mobile_engineer
                  - infrastructure_devops_sre
                  - security_engineer
                  - forward_deployed_engineer_solutions_support
                  - robotics_software_engineer
                  - robotics_platform_engineer
                  - sales_solutions_engineer
                  - qa_test_engineering
                  - blockchain_protocol_engineer
                  - developer_relations_advocacy
                  - founding_engineer
                  - product_engineer
                  - embedded_firmware_engineer
                  - mechanical_engineer
                  - electrical_engineer
                  - robotics_hardware_engineer
                  - aerospace_flight_engineer
                  - machine_learning_engineer
                  - robotics_ml_engineer
                  - data_engineer
                  - data_science_analytics
                  - computer_vision_engineer
                  - research_scientist_applied_research
                  - ai_ml_researcher
                  - research_engineer_applied_research
                  - data_scientist_applied_scientist
                  - machine_learning_infrastructure
                  - machine_learning_ops_platform
                  - research_scientist
                  - research_engineer
                  - ai_engineer
                  - product_management
                  - product_design_ux_ui
                  - brand_visual_design
                  - marketing_growth
                  - growth_engineer
                  - growth_marketing
                  - demand_generation
                  - performance_paid_media
                  - lifecycle_crm_email
                  - seo_organic_growth
                  - marketing_ops_analytics
                  - product_marketing
                  - customer_marketing
                  - content_marketing
                  - brand_marketing
                  - social_media_influencer
                  - communications_pr
                  - events_field_marketing
                  - marketing_leadership
                  - founding_marketer_generalist
                  - account_executives_sales
                  - account_management_customer_success
                  - business_development
                  - sales_development_rep
                  - customer_technical_support
                  - content_copywriting
                  - sales_gtm_leadership
                  - partnerships
                  - operations_strategy
                  - robotics_operations_engineer
                  - revenue_operations
                  - finance_accounting
                  - people_talent
                  - chief_of_staff
                  - program_project_management
                  - executive_assistant
                  - data_analyst
                  - engineering_leadership
                  - executive_leadership
                  - clinical_healthcare
                  - legal_compliance_officer
                  - legal_operations
                  - legal_compliance
                  - legal_partner
                  - legal_counsel
                  - legal_associate
                  - legal_in_house_counsel
                  - legal_paralegal
                  - legal_admin
              - type: array
                items:
                  type: string
                  enum:
                    - backend_engineer
                    - frontend_engineer
                    - full_stack_engineer
                    - mobile_engineer
                    - infrastructure_devops_sre
                    - security_engineer
                    - forward_deployed_engineer_solutions_support
                    - robotics_software_engineer
                    - robotics_platform_engineer
                    - sales_solutions_engineer
                    - qa_test_engineering
                    - blockchain_protocol_engineer
                    - developer_relations_advocacy
                    - founding_engineer
                    - product_engineer
                    - embedded_firmware_engineer
                    - mechanical_engineer
                    - electrical_engineer
                    - robotics_hardware_engineer
                    - aerospace_flight_engineer
                    - machine_learning_engineer
                    - robotics_ml_engineer
                    - data_engineer
                    - data_science_analytics
                    - computer_vision_engineer
                    - research_scientist_applied_research
                    - ai_ml_researcher
                    - research_engineer_applied_research
                    - data_scientist_applied_scientist
                    - machine_learning_infrastructure
                    - machine_learning_ops_platform
                    - research_scientist
                    - research_engineer
                    - ai_engineer
                    - product_management
                    - product_design_ux_ui
                    - brand_visual_design
                    - marketing_growth
                    - growth_engineer
                    - growth_marketing
                    - demand_generation
                    - performance_paid_media
                    - lifecycle_crm_email
                    - seo_organic_growth
                    - marketing_ops_analytics
                    - product_marketing
                    - customer_marketing
                    - content_marketing
                    - brand_marketing
                    - social_media_influencer
                    - communications_pr
                    - events_field_marketing
                    - marketing_leadership
                    - founding_marketer_generalist
                    - account_executives_sales
                    - account_management_customer_success
                    - business_development
                    - sales_development_rep
                    - customer_technical_support
                    - content_copywriting
                    - sales_gtm_leadership
                    - partnerships
                    - operations_strategy
                    - robotics_operations_engineer
                    - revenue_operations
                    - finance_accounting
                    - people_talent
                    - chief_of_staff
                    - program_project_management
                    - executive_assistant
                    - data_analyst
                    - engineering_leadership
                    - executive_leadership
                    - clinical_healthcare
                    - legal_compliance_officer
                    - legal_operations
                    - legal_compliance
                    - legal_partner
                    - legal_counsel
                    - legal_associate
                    - legal_in_house_counsel
                    - legal_paralegal
                    - legal_admin
                maxItems: 20
              - nullable: true
            description: >-
              Role type key, e.g. backend_engineer. Repeat up to 20; matches
              any.
          required: false
          description: Role type key, e.g. backend_engineer. Repeat up to 20; matches any.
          name: roleType
          in: query
        - schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 100
              - type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 100
                maxItems: 20
              - nullable: true
            description: >-
              Industry key (e.g. fintech) or namespaced practice area (e.g.
              law::litigation). Repeat up to 20; matches any.
          required: false
          description: >-
            Industry key (e.g. fintech) or namespaced practice area (e.g.
            law::litigation). Repeat up to 20; matches any.
          name: industry
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - java
                  - python
                  - javascript
                  - typescript
                  - react
                  - node
                  - nextjs
                  - tensorflow
                  - pytorch
                  - tensorboard
                  - pyspark
                  - kafka
                  - kubernetes
                  - redis
                  - mongo
                  - postgresql
                  - mysql
                  - mongodb
                  - aws
                  - gcp
                  - azure
                  - git
                  - docker
                  - k8s
                  - terraform
                  - tailwind
                  - cloudflare
                  - c/c++
                  - c#
                  - htmx
                  - html
                  - css
                  - ruby
                  - ruby_on_rails
                  - django
                  - flutter
                  - dart
                  - fastapi
                  - graphql
                  - rest_api
                  - vue
                  - svelte
                  - langchain
                  - snowflake
                  - hadoop
                  - mapreduce
                  - rpc
                  - cassandra
                  - cicd
                  - graph_database
                  - vector_database
                  - open_ai
                  - web3
                  - solidity
                  - go
                  - rust
                  - scala
                  - kotlin
                  - swift
                  - php
                  - laravel
                  - spring_boot
                  - express
                  - angular
                  - ember
                  - backbone
                  - jquery
                  - sass
                  - less
                  - webpack
                  - babel
                  - elasticsearch
                  - rabbitmq
                  - nginx
                  - apache
                  - jenkins
                  - travis_ci
                  - circle_ci
                  - ansible
                  - puppet
                  - chef
                  - prometheus
                  - grafana
                  - tableau
                  - power_bi
                  - d3
                  - three_js
                  - unity
                  - unreal_engine
                  - opencv
                  - scikit_learn
                  - pandas
                  - numpy
                  - r
                  - sas
                  - spark
                  - hive
                  - airflow
                  - luigi
                  - dask
                  - kubeflow
                  - mlflow
              - type: string
                enum:
                  - webflow
                  - zapier
                  - hubspot
                  - sigma
                  - notion
                  - amplitude
                  - google_ads
                  - google_search
                  - figma
                  - photoshop
                  - illustrator
                  - after_effects
                  - premiere_pro
                  - audacity
                  - canva
                  - slack
                  - microsoft_office
                  - microsoft_word
                  - microsoft_excel
                  - microsoft_powerpoint
                  - salesforce
                  - jira
                  - confluence
                  - trello
                  - monday
                  - basecamp
                  - zendesk
                  - intercom
                  - mailchimp
                  - sendgrid
                  - stripe
                  - paypal
                  - square
                  - quickbooks
                  - xero
                  - tableau
                  - looker
                  - power_bi
                  - google_analytics
                  - adobe_creative_suite
                  - sketch
                  - invision
                  - zeplin
                  - framer
                  - airtable
              - type: array
                items:
                  anyOf:
                    - type: string
                      enum:
                        - java
                        - python
                        - javascript
                        - typescript
                        - react
                        - node
                        - nextjs
                        - tensorflow
                        - pytorch
                        - tensorboard
                        - pyspark
                        - kafka
                        - kubernetes
                        - redis
                        - mongo
                        - postgresql
                        - mysql
                        - mongodb
                        - aws
                        - gcp
                        - azure
                        - git
                        - docker
                        - k8s
                        - terraform
                        - tailwind
                        - cloudflare
                        - c/c++
                        - c#
                        - htmx
                        - html
                        - css
                        - ruby
                        - ruby_on_rails
                        - django
                        - flutter
                        - dart
                        - fastapi
                        - graphql
                        - rest_api
                        - vue
                        - svelte
                        - langchain
                        - snowflake
                        - hadoop
                        - mapreduce
                        - rpc
                        - cassandra
                        - cicd
                        - graph_database
                        - vector_database
                        - open_ai
                        - web3
                        - solidity
                        - go
                        - rust
                        - scala
                        - kotlin
                        - swift
                        - php
                        - laravel
                        - spring_boot
                        - express
                        - angular
                        - ember
                        - backbone
                        - jquery
                        - sass
                        - less
                        - webpack
                        - babel
                        - elasticsearch
                        - rabbitmq
                        - nginx
                        - apache
                        - jenkins
                        - travis_ci
                        - circle_ci
                        - ansible
                        - puppet
                        - chef
                        - prometheus
                        - grafana
                        - tableau
                        - power_bi
                        - d3
                        - three_js
                        - unity
                        - unreal_engine
                        - opencv
                        - scikit_learn
                        - pandas
                        - numpy
                        - r
                        - sas
                        - spark
                        - hive
                        - airflow
                        - luigi
                        - dask
                        - kubeflow
                        - mlflow
                    - type: string
                      enum:
                        - webflow
                        - zapier
                        - hubspot
                        - sigma
                        - notion
                        - amplitude
                        - google_ads
                        - google_search
                        - figma
                        - photoshop
                        - illustrator
                        - after_effects
                        - premiere_pro
                        - audacity
                        - canva
                        - slack
                        - microsoft_office
                        - microsoft_word
                        - microsoft_excel
                        - microsoft_powerpoint
                        - salesforce
                        - jira
                        - confluence
                        - trello
                        - monday
                        - basecamp
                        - zendesk
                        - intercom
                        - mailchimp
                        - sendgrid
                        - stripe
                        - paypal
                        - square
                        - quickbooks
                        - xero
                        - tableau
                        - looker
                        - power_bi
                        - google_analytics
                        - adobe_creative_suite
                        - sketch
                        - invision
                        - zeplin
                        - framer
                        - airtable
                maxItems: 20
              - nullable: true
            description: Tech stack key, e.g. python. Repeat up to 20; matches any.
          required: false
          description: Tech stack key, e.g. python. Repeat up to 20; matches any.
          name: techStack
          in: query
        - schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: number
            description: >-
              Lowest annual candidate base salary, whole currency units, e.g.
              150000. Max 999000; above rejected with 400. Matched to nearest
              1,000, no currency conversion.
          required: false
          description: >-
            Lowest annual candidate base salary, whole currency units, e.g.
            150000. Max 999000; above rejected with 400. Matched to nearest
            1,000, no currency conversion.
          name: minSalary
          in: query
        - schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: number
            description: >-
              Highest annual candidate base salary, whole currency units, e.g.
              250000. Max 999000; above rejected with 400. Must be at least
              minSalary.
          required: false
          description: >-
            Highest annual candidate base salary, whole currency units, e.g.
            250000. Max 999000; above rejected with 400. Must be at least
            minSalary.
          name: maxSalary
          in: query
        - schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: number
            description: Lowest years of experience, whole number 0-100, e.g. 3.
          required: false
          description: Lowest years of experience, whole number 0-100, e.g. 3.
          name: minYearsExperience
          in: query
        - schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: number
            description: >-
              Highest years of experience, whole number 0-100. Must be at least
              minYearsExperience.
          required: false
          description: >-
            Highest years of experience, whole number 0-100. Must be at least
            minYearsExperience.
          name: maxYearsExperience
          in: query
        - schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: number
            default: 20
            description: Roles per page, 1-50, default 20. Above 50 rejected with 400.
          required: false
          description: Roles per page, 1-50, default 20. Above 50 rejected with 400.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 2048
            description: >-
              Previous page's nextCursor. Only with same recruiterEmail, query,
              filters; changed search starts new first page. Results live, not
              frozen snapshot.
          required: false
          description: >-
            Previous page's nextCursor. Only with same recruiterEmail, query,
            filters; changed search starts new first page. Results live, not
            frozen snapshot.
          name: cursor
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  roles:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        title:
                          type: string
                        company:
                          type: object
                          properties:
                            name:
                              type: string
                          required:
                            - name
                          additionalProperties: false
                        status:
                          type: string
                          enum:
                            - ACTIVE
                            - PAUSED
                            - CLOSED
                        locations:
                          type: array
                          items:
                            type: string
                        workplaceType:
                          type: string
                          nullable: true
                          enum:
                            - REMOTE
                            - HYBRID
                            - ON_SITE
                        baseSalary:
                          type: object
                          nullable: true
                          properties:
                            currency:
                              type: string
                              nullable: true
                            min:
                              type: integer
                              nullable: true
                            max:
                              type: integer
                              nullable: true
                          required:
                            - currency
                            - min
                            - max
                          additionalProperties: false
                          description: >-
                            Annual candidate base salary, whole currency units,
                            no conversion. Null currency means unknown, not USD.
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - title
                        - company
                        - status
                        - locations
                        - workplaceType
                        - baseSalary
                        - updatedAt
                      additionalProperties: false
                  nextCursor:
                    type: string
                    nullable: true
                required:
                  - roles
                  - nextCursor
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.